﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_StudentTransfer>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    
    <script type="text/javascript">

        function AcceptTransfer(Id,Aid)
        {
            window.location = "/MaAdmission/AcceptTransfer?Id=" + Id + "&AId=" + Aid;
        }

        function AcceptTransfer2(Id, Aid) {

            $("#btnAccept2").click(function () {
                window.location = "/MaAdmission/DeclineTransfer?Id=" + Id + "&AId=" + Aid;
            });

            $("#basic2").modal('show');


        }
    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Student Transfer List
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%"></td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <tr>
                    <th>
                        Old Roll No
                    </th>
                    <th>
                        Name
                    </th>
                    <th>
                        Branch From
                    </th>
                    <th>
                        Branch To
                    </th>
                    <th>
                        Transfer to User
                    </th>
                    <th>
                        Transfer By User
                    </th>
                    <th>
                        Status
                    </th>
                    <th>
                        Date
                    </th>
                    @*<th>
                            Balance Amnt
                        </th>*@
                    <th>
                    </th>
                </tr>
                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.OldRollNo)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.MaAdmission.FirstName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.MaBranch1.BramchName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.MaBranch.BramchName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.User.Fullname)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.User1.Fullname)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Status)
                        </td>
                        <td>
                            @{
                                string cdate = string.Format("{0:dd MMM,yyyy}", item.CDate);

                            }
                            @cdate
                        </td>
                       
                        <td>
                            <a href="#" onclick="AcceptTransfer(@item.Id,@item.MaAdmission.Id)" title="Accept">Accept</a>
                            <a href="#" onclick="AcceptTransfer2(@item.Id,@item.MaAdmission.Id)" title="Declined">Declined</a>
                        </td>
                    </tr>
                                }
            </table>
        </div>
    </div>
</div>
<div class="modal fade" id="basic2" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Confirmation</h4>
            </div>
            <div class="modal-body">
                Are You Sure You Want to Decline Transfer?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" id="btnAccept2">Yes</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">No</button>

            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>

<div class="modal fade" id="basic" tabindex="-1" role="basic" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Confirmation</h4>
            </div>
            <div class="modal-body">
                Are You Sure You Want to Accept Transfer?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" id="btnAccept">Yes</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">No</button>

            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>

